View Issue Details

IDProjectCategoryView StatusLast Update
0012861ScribusStory Editor / Text Framespublic2016-12-16 06:48
ReporterJLuc Assigned To 
PrioritynormalSeverityminorReproducibilityhave not tried
Status confirmedResolutionopen 
Product Version1.5.0svn 
Target Version1.5.4Fixed in Version 
Summary0012861: layout line break with no good reason
Description2 identical "Matériel" word on a same line, with one space inbetween, are not layed out on that same line : the 2nd word is thrown to the next line.

All spaces are normal spaces.

Its one of the bad layout examples uploaded for 0011628, that has not been fixed with 0011628 patch.

Example file direct link: http://bugs.scribus.net/file_download.php?file_id=6364&type=bug
Tags#please_test, fixed_with_CTL, layout, scribusctl
PatchNo

Relationships

related to 0011995 confirmed Bad layout : text shrinks when too tightly approached 
parent of 0012862 confirmed Text shrunk and line broken with automatic height lines 
child of 0011628 closedavox Layout issues 
child of 0011902 closed Bad layout 
Not all the children of this issue are yet resolved or closed.

Activities

JLuc

2014-12-24 17:04

developer  

strange bad layout.sla (15,350 bytes)

JLuc

2014-12-24 17:05

developer  

strange bad layout.jpg (45,735 bytes)
strange bad layout.jpg (45,735 bytes)

Kunda

2015-05-07 01:24

manager   ~0035056

I can confirm the phenomena on the attached .sla
BTW, removing 'Crash' status. Adding this to 1.5.1

Kunda

2016-01-18 14:17

manager  

bad-layout.gif (76,768 bytes)
bad-layout.gif (76,768 bytes)

Kunda

2016-01-18 14:18

manager   ~0038244

Uploaded gif to demonstrate

JLuc

2016-12-04 13:11

developer   ~0042654

Fixed with today CTL appimage

Kunda

2016-12-11 23:34

manager   ~0042903

@jluc has that code moved in to SVN yet ?

Kunda

2016-12-15 20:17

manager   ~0043042

@jluc I can still reproduce bug.
1) open attached strange bad layout.sla
2) move text frame with up arrow key to the 6 line:
Matériel

Matériel Matériel 
Matériel Matériel 
Matériel Matériel
Matériel Matériel


3) Notice that when clicking up arrow key under 6th line that the 'M' in the 2nd word overrides the whitespace.

CC @PeterBenedek

PeterBenedek

2016-12-16 06:48

developer   ~0043056

Tested r21652

I can reproduce bug.

Issue History

Date Modified Username Field Change
2014-12-24 17:04 JLuc New Issue
2014-12-24 17:04 JLuc File Added: strange bad layout.sla
2014-12-24 17:04 JLuc Priority normal => urgent
2014-12-24 17:04 JLuc Status new => confirmed
2014-12-24 17:05 JLuc File Added: strange bad layout.jpg
2014-12-24 17:05 JLuc Description Updated View Revisions
2014-12-24 17:09 JLuc Tag Attached: layout
2014-12-24 17:32 JLuc Relationship added child of 0011628
2014-12-24 17:32 JLuc Relationship added child of 0011902
2015-03-10 18:47 Kunda Relationship added parent of 0012862
2015-05-07 01:24 Kunda Note Added: 0035056
2015-05-07 01:24 Kunda Priority urgent => normal
2015-05-07 01:24 Kunda Severity crash => minor
2015-05-07 01:24 Kunda Target Version => 1.5.1
2015-09-17 20:08 Kunda Category Story Editor / Text Frames => Story Ed/Txt Frames
2015-09-17 20:12 Kunda Category Story Ed/Txt Frames => Story Editor / Text Frames
2016-01-18 14:17 Kunda File Added: bad-layout.gif
2016-01-18 14:18 Kunda Note Added: 0038244
2016-01-18 14:19 Kunda Description Updated View Revisions
2016-01-23 17:16 cbradney Target Version 1.5.1 => 1.5.3
2016-12-04 13:11 JLuc Note Added: 0042654
2016-12-04 13:12 JLuc Tag Attached: fixed_with_CTL
2016-12-04 13:12 JLuc Tag Attached: #please_test
2016-12-08 22:04 Kunda Target Version 1.5.3 => 1.5.4
2016-12-11 23:34 Kunda Note Added: 0042903
2016-12-12 01:31 Kunda Tag Attached: scribusctl
2016-12-15 20:17 Kunda Note Added: 0043042
2016-12-15 20:18 Kunda Relationship added related to 0011995
2016-12-16 06:48 PeterBenedek Note Added: 0043056